Bump Chatzilla compatibility for SeaMonkey 2.10 / Firefox 13.0

VERIFIED FIXED in mozilla13

Status

Other Applications
ChatZilla
VERIFIED FIXED
6 years ago
6 years ago

People

(Reporter: InvisibleSmiley, Assigned: InvisibleSmiley)

Tracking

Trunk
mozilla13
Dependency tree / graph

SeaMonkey Tracking Flags

(seamonkey2.8 verified, seamonkey2.9 verified, seamonkey2.10 verified)

Details

Attachments

(1 attachment)

(Assignee)

Description

6 years ago
Created attachment 600780 [details] [diff] [review]
patch [Checkin: Comment 1]

+++ This bug was initially created as a clone of Bug #702154 +++

Unfortunately we missed bumping the last two times.

The compatibility for SeaMonkey should be changed to 2.10.* and for Firefox to 13.0.*. This is needed in order to allow users to disable compatible-by-default, and to stop a Toolkit test to succeed which checks the compatibility of all bundled add-ons (only an issue with SeaMonkey, obviously).
Attachment #600780 - Flags: review?(silver)
(Assignee)

Updated

6 years ago
Assignee: rginda → jh
Status: NEW → ASSIGNED

Updated

6 years ago
Attachment #600780 - Flags: review?(silver) → review+
(Assignee)

Comment 1

6 years ago
Comment on attachment 600780 [details] [diff] [review]
patch [Checkin: Comment 1]

http://hg.mozilla.org/chatzilla/rev/462987e2ba41
Attachment #600780 - Attachment description: patch → patch [Checkin: Comment 1]
(Assignee)

Updated

6 years ago
Status: ASSIGNED → RESOLVED
Last Resolved: 6 years ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla13
In linux64 hourly build with the following (buildstamps) txt file
20120226151249
http://hg.mozilla.org/mozilla-central/rev/b98fc24ac54b
http://hg.mozilla.org/comm-central/rev/892d4207a0dd

seamonkey/distribution/extensions/{59c81df5-4b7a-477b-912d-4e0fdf64e5f2}.xpi includes an install.rdf with maxVersion set to 13.0.* for Firefox, 2.10.* for SeaMonkey.

=> VERIFIED.

Nit: at line 32 (in a comment) it should be (x+3).0, not (x-3).0
Status: RESOLVED → VERIFIED
(In reply to Tony Mechelynck [:tonymec] from comment #2)
> Nit: at line 32 (in a comment) it should be (x+3).0, not (x-3).0

Indeed: SM 2.10 is Gecko (10+3).0 ;->
(Assignee)

Comment 4

6 years ago
(In reply to Tony Mechelynck [:tonymec] from comment #2)
> Nit: at line 32 (in a comment) it should be (x+3).0, not (x-3).0

Nit: Not only there! ;-)

Fixed in: http://hg.mozilla.org/chatzilla/rev/40ede6bc06e1
status-seamonkey2.9: --- → affected
tracking-seamonkey2.9: --- → ?
Blocks: 732749
Blocks: 732742
No longer blocks: 732749
20120304133751
http://hg.mozilla.org/releases/mozilla-aurora/rev/6ac22688553b
http://hg.mozilla.org/releases/comm-aurora/rev/0db16351395c

seamonkey/distribution/extensions/{59c81df5-4b7a-477b-912d-4e0fdf64e5f2}.xpi has the changes (including those for comment #4) in its install.rdf
status-seamonkey2.10: --- → verified
status-seamonkey2.9: affected → verified
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey-Beta/1330903973.1330907952.31080.gz&fulltext=1
OS X 10.5 comm-beta debug test mochitest-other on 2012/03/04 15:32:53
{
TEST-PASS | chrome://mochitests/content/browser/suite/browser/test/browser_bug728651.js | ChatZilla 0.9.88.1 should be compatible
}

Ftr, this got propagated on SM 2.8 too as a (good) side-effect of bug 732749 comment 6.
status-seamonkey2.8: --- → verified
tracking-seamonkey2.9: ? → ---
Depends on: 721584
Blocks: 736345
Depends on: 702154
You need to log in before you can comment on or make changes to this bug.